<?php
declare(strict_types=1);

namespace FiloBlu\Refilo\Plugins\Model;

/**
 * Class GiftMessageManager
 * @package FiloBlu\Refilo\Plugins
 */
class GiftMessageManager
{

    /**@param \Magento\GiftMessage\Model\GiftMessageManager $subject
     * @param array $giftMessages
     * @param \Magento\Quote\Model\Quote $quote
     * @return \Magento\GiftMessage\Model\GiftMessageManager
     * @SuppressWarnings(PHPMD.CyclomaticComplexity)
     */
    public function afterAdd($subject, $result, $giftMessages, $quote)
    {
        $quote->setTriggerRecollect(1);
        return $result;
    }

}
